#include <avr/io.h>
#define F_CPU 1000000UL //1 MHz
#include <util/delay.h>
#include <avr/interrupt.h>
volatile char state=0;
char rotation=0;
int main(void)
{
cli();//disable gobal interrupts

DDRB |=0b00011111; //set all i/o pins to output
WDTCR =0b01110001; //enable watchdog, set prescaler to a period of 8 secs
MCUCR |=0b00110000; //enable power down mode p 34 p170s for operating current
PRR |=0b00001111; //page 38 more low power
sei(); //enable global interrupts
asm("sleep");



while(1){
	if (state == 1){
		switch (rotation)
		{
			case 0:
				PORTB |=0b00010000;
				rotation = 1;
				break;
			case 1:
				PORTB |=0b00001000;
				rotation = 2;
				break;
			case 2:
				PORTB |=0b00000100;
				rotation = 3;
				break;
			case 3:
				PORTB |=0b00000010;
				rotation = 4;
				break;
			case 4:
				PORTB |=0b00000001;
				rotation = 0;
				break;



		}
	_delay_ms(40);
	PORTB = 0;
	state = 0;
	}

asm("sleep");
}
return 0;


}


ISR(WDT_vect){

state=1;
}
